
<div class="lgHdr">
    <a routerLink="/login"><span class="backBtn">Back</span></a>
   
</div>
    
<div class="lgpgs">

    <div class="lgtxt">
        <div class="lgt1">Create Account</div>
        <div class="lgt2">Sign Up</div>
    </div>
{{singupForm.value | json}}
<br>
{{userModel | json}}
    <div class="frmBx">
        <form #singupForm="ngForm" (ngSubmit)="submitSignup()" novalidate>
        <aside class="inrow">
            <h6>First Name</h6>
            <input class="infld" type="text" required [(ngModel)]=userModel.fname name="fname" placeholder="Enter your First Name"/>
        </aside>

        <aside class="inrow">
            <h6>Last Name</h6>
            <input class="infld" type="text" [(ngModel)]=userModel.lname name="lname" placeholder="Enter your Last Name"/>
        </aside>

        <aside class="inrow">
            <h6>Phone Number</h6>
            <input class="infld" type="text" required [(ngModel)]=userModel.phone name="phone" placeholder="Your Phone Number"/>
        </aside>

        <aside class="inrow">
            <h6>Password</h6>
            <input class="infld" type="password" required [(ngModel)]=userModel.password name="password" placeholder="Password"/>
            <!--<span class="psview">View</span>-->
        </aside>

        <aside class="inrow">
            <h6>Confirm Password</h6>
            <input class="infld" type="password" required [(ngModel)]=userModel.password2 name="password2" placeholder="Confirm Password"/>
            <!--<span class="pshide">Hide</span>-->
        </aside>

        <div class="btnLne2">
            <button class="btn1" [disabled]="singupForm.form.invalid">Sign Up</button>
        </div>
    </form>
    </div>

</div>

<div class="lgFtr">
        Already have an account? <a routerLink="/login"><span>Login</span></a>
</div>
